

Suppress an "using smp_processor_id in preemptible code" warning.  The idle
thread isn't preemptible, so we can simply use _smp_processor_id().

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/processor_idle.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/acpi/processor_idle.c~acpi_smp_processor_id-warning-fix drivers/acpi/processor_idle.c
--- 25/drivers/acpi/processor_idle.c~acpi_smp_processor_id-warning-fix	2005-01-10 20:45:20.997903008 -0800
+++ 25-akpm/drivers/acpi/processor_idle.c	2005-01-10 20:45:31.239346072 -0800
@@ -162,7 +162,7 @@ static void acpi_processor_idle (void)
 	int			sleep_ticks = 0;
 	u32			t1, t2 = 0;
 
-	pr = processors[smp_processor_id()];
+	pr = processors[_smp_processor_id()];
 	if (!pr)
 		return;
 
_
